const fs = require('fs');

const frameOptionsRegEx = /\s+x-frame-options = ".*\s/gi;

exports.removeHeaders = (filePath) => {
  // remove iframe security headers

  // start with `_headers`
  try {
    const headers = fs.readFileSync(filePath, 'utf-8');
    const updatedContents = headers.replace(frameOptionsRegEx, '\n');

    fs.writeFileSync(filePath, updatedContents, 'utf-8');

    console.log(`rewrote ${filePath} to:`);
    console.log(updatedContents);
  } catch (error) {
    // noop if no `_headers` file exists
  }
};
